 /*
    CLM_uah - Constrained Local Model (CLM) sample code. A (partial)
    implementation of D. Christinacce and T. Cootes algorithm.

    Jesus Nuevo-Chiquero, University of Alcal. 2010
    jesus.nuevochiquero@gmail.com

    This file is part of CLM_uah.

    CLM_uah is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    CLM_uah is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with CLM_uah.  If not, see <http://www.gnu.org/licenses/>.

*/
#ifndef APPERANCE_BASE_HH
#define APPERANCE_BASE_HH

#include <string>

#include <cxcore.h>

using namespace cv;


class AppearanceBase{
public:
    AppearanceBase() : m_patch_count(0) {}

    
    int load(const string file);
    
    bool m_per_patch;		/**< If the vector base is per-patch
				   or global (made using concatenated
				   patches in 1 image) */
    int m_patch_count;
    bool m_normalized;

    Size m_sz;
    PCA m_base;

    Mat m_eig_sqrt;//sqrt of the eigenvalues. 

    vector<Size> m_patch_sz;
    vector<PCA> m_patch_base;

    vector<Mat> m_patch_eig_sqrt;

};



#endif
