/*
    Constrained Local Model (CLM) sample code. A (partial)
    implementation of D. Christinacce and T. Cootes algorithm.

    Jesus Nuevo-Chiquero, University of Alcal. 2010
    jesus.nuevochiquero@gmail.com

    This file is part of 'CLM_uah'.

    CLM_uah is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    CLM_uah is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with CLM_uah.  If not, see <http://www.gnu.org/licenses/>.

*/
#ifndef COUPLED_BASE_HH
#define COUPLED_BASE_HH

#include <string>

#include <cxcore.h>


class CoupledBase : public cv::PCA{

public:
    int load(const std::string file);

    cv::Mat m_eigvectors_t;  //eigenvectors transposed - a cache
    cv::Mat m_weight; // shape parameters weight matrix
    cv::Mat m_eig_sqrt; 
};


#endif
