// Some basic drawing functions
/*
    Constrained Local Model (CLM) sample code. A (partial)
    implementation of D. Christinacce and T. Cootes algorithm.

    Jesus Nuevo-Chiquero, University of Alcal. 2010
    jesus.nuevochiquero@gmail.com

    This file is part of 'CLM_uah'.

    CLM_uah is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    CLM_uah is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with CLM_uah.  If not, see <http://www.gnu.org/licenses/>.

*/
#ifndef DRAWING_HH_
#define DRAWING_HH_

#include <cxcore.h>
using namespace cv;


const CvScalar DEPTH_0_COLOR = CV_RGB(0,255,0);

void draw_cross(Mat img, Point p, int width, Scalar color);
void draw_points(Mat img, Mat points, Scalar color = DEPTH_0_COLOR);

void draw_rectangles(Mat img, Mat points, Size sz, Scalar color);

#endif
