// Some functions to detect if STASM is installed, and if the shape is
// inside a V&J box and has "reasonable values".

//Note: STASM detection will not work (as of Nov. 2010): it requires
//some modified version of STASM.

/*
    Constrained Local Model (CLM) sample code. A (partial)
    implementation of D. Christinacce and T. Cootes algorithm.

    Jesus Nuevo-Chiquero, University of Alcal. 2010
    jesus.nuevochiquero@gmail.com

    This file is part of 'CLM_uah'.

    CLM_uah is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    CLM_uah is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with CLM_uah.  If not, see <http://www.gnu.org/licenses/>.

*/
#ifndef UTILS_TRACK_LOSS_HH_
#define UTILS_TRACK_LOSS_HH_

#include "cxcore.h"
#include "boost/smart_ptr.hpp"

#include "Shape.hh"

const char* find_STASM(void);

/** 
 * Find points using STASM
 * 
 * @param k An image
 * 
 * @return A matrix with the points, or NULL if an error occurs.
 */
CvMat * stasm_find_points(const IplImage& k);


bool check_ST_values_ok(Mat st, unsigned int frame, double &mean);
bool check_points_in_VJ(CascadeClassifier& haar, const IplImage *img, 
			const CvMat* shape, Rect& r);



#endif




