 /*
    CLM_uah - Constrained Local Model (CLM) sample code. A (partial)
    implementation of D. Christinacce and T. Cootes algorithm.

    Jesus Nuevo-Chiquero, University of Alcal. 2010
    jesus.nuevochiquero@gmail.com

    This file is part of 'CLM_uah'.

    CLM_uah is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    CLM_uah is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with CLM_uah.  If not, see <http://www.gnu.org/licenses/>.

*/
#include <iostream>

#include "CoupledBase.hh"

using namespace std;
using namespace cv;


int CoupledBase::load(const string file)
{

    FileStorage fs(file, FileStorage::READ);
    
    if(fs.isOpened()){
	FileNode n = fs["CoupledBase"];
	if(!n.empty()){
	    FileNode node = n["PCA"];
	    try{
		read(node["mean"], mean);
		read(node["eigenvectors"], eigenvectors);
		read(node["eigenvalues"], eigenvalues);
	    }
	    catch(Exception e){
		cerr << e.err <<endl;
		return -1;
	    }
	    m_eigvectors_t = eigenvectors.t();

	    sqrt(eigenvalues, m_eig_sqrt);
	    
	    read(n["weight_matrix"], m_weight);
	}
    }
    else
	return -1;


    return 0;
}
