 /*
    CLM_uah - Constrained Local Model (CLM) sample code. A (partial)
    implementation of D. Christinacce and T. Cootes algorithm.

    Jesus Nuevo-Chiquero, University of Alcal. 2010
    jesus.nuevochiquero@gmail.com

    This file is part of 'CLM_uah'.

    CLM_uah is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    CLM_uah is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with CLM_uah.  If not, see <http://www.gnu.org/licenses/>.

*/
#include <cxcore.h>
#include <cv.h>
#include <highgui.h>

#include "drawing.hh"


using namespace cv;

void draw_cross(Mat img, Point p, int w, Scalar color)
{

  //   int w = MAX(1,cvRound(1.5*width));

    line(img, Point(p.x - w, p.y), 
	   Point(p.x + w, p.y), color);
    
    line(img, Point(p.x, p.y - w), 
	   Point(p.x, p.y + w), color);

    return;

}


void draw_points(Mat img, Mat points, Scalar color)
{


    for (int ai=0; ai<points.cols;ai++){
	draw_cross(img, Point(points.at<float>(0,ai),points.at<float>(1,ai)),
		   max(img.cols/100,2), color);

    }

    return;
}


void draw_rectangles(Mat img, Mat points, Size sz, Scalar color)
{

    for (int ai=0; ai<points.cols;ai++){
	Rect r (Point(points.at<float>(0,ai) - sz.width/2, points.at<float>(1,ai) - sz.height/2),
		sz);
	    rectangle(img, r.tl(), r.br(), color);
    }

    return;


}
