#include <sys/time.h>
#include <iostream>
#include <vector>

#include "cxcore.h"
#include "cv.h"
#include "highgui.h"


#include "fitting.hh"

using namespace cv;
using namespace std;


int main(int argc, char *argv[])
{


    Mat src = imread(argv[1]);

    Mat img = Mat_<float>(src);
    img = img/255.;

    Size sz(20,20);
    Mat mT;
    double eZ;
    Mat tmpt (img(Rect(Point(0,0), sz)));// = img(r);

    for(uint ai=0; ai<10;ai++){
	Mat_<int> mp(2,1);
	
	randu(mp,Scalar(0),Scalar(min(img.rows-sz.height, img.cols - sz.width)));
	Point p(mp(0,0), mp(1,0));
	
	Rect r(p,sz);       	

	Mat tmp( img(r));
	
	//test1.- eval_zncc
	
	matchTemplate(tmp, tmpt, mT, TM_CCOEFF_NORMED);
	
	eZ = eval_zncc(tmp, tmpt);
	
	cout << "matchTemplate: "<< 0.5 - 0.5*mT.at<float>(0,0)<< ", eval_zncc: "<<eZ <<endl;
    }

    matchTemplate(tmpt, tmpt, mT, TM_CCOEFF_NORMED);
    eZ = eval_zncc(tmpt, tmpt);
	
    double k = (0.5 -0.5*mT.at<float>(0,0));
    cout << "matchTemplate: "<< k << ", eval_zncc: "<<eZ <<endl;
    

    return 0;

}
